# PiFrame

This repo contains everything you need to build a digital Photo Frame using a Raspberry Pi

# Project Status

This is very much a Work In Progress project. Early prototype builds based on rough documenation (see [notes.txt](notes.txt) and [docs/](docs/) are online and being tested.

Additional tuning, documentation and integrations will be added to the repo over time.

# IMPORTANT CONSIDERATIONS

## SSL Support

The PiFrame project does **NOT** use SSL for anything unless it's a default setting for a given service. We have optimized the project to be managed via a trusted LAN and/or VPN solution (for multiple frames).

Use acme.sh + vhosts + nginx if you really want SSL. There is plenty of great information online how to set up acme.sh + nginx + vhosts + SSL if you want to go this route.

We will not discuss, entertain or bother debating our decision regarding SSL. It's an additional layer of complexity and not strictly required for the purposes of this project.

# Bill Of Materials / Hardware Requirements

Please see [hardware.md](hardware.md) for details regarding hardware selection and requirements.

# Licensing

Unless otherwise stated all source code is licensed under the [Apache 2 License](LICENSE-APACHE-2.0.txt).

Unless otherwise stated the non source code contents of this repository are licensed under a [Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License](LICENSE-CC-Attribution-NonCommercial-ShareAlike-4.0-International.txt)
