# LTE Modem

Please Note: **THIS IS AN UNSUPPORTED CONFIG**. We are providing notes for others who may need/want LTE setups but you will need to do your own testing and stability tuning.

The below assumes [ting](https://ting.com) as the carrier. You'll need to hunt down your own carriers settings.

## Hardware

Hardware we have used / tested in the past.

* [GNSS, GLONASS, Galileo, Beidou Antenna](https://www.mouser.com/ProductDetail/673-GPSMOD1333)
* [Quectel EC25](https://www.quectel.com/product/ec25minipcie.htm)
* [sixfab Raspberry Pi LTE Base Hat](https://sixfab.com/product/raspberry-pi-base-hat-3g-4g-lte-minipcie-cards/)
* [SMA antenna pigtails](https://www.mouser.com/ProductDetail/960-CAB011)
* [LTE blade antennas](https://www.mouser.com/ProductDetail/237-SREL036-S9P)
* [RAK Quectel BG96 IoT LTE Modem](https://store.rakwireless.com/products/rak8213-nb-iot-bg96)
* [RAK IoT LTE Modem Raspberry Pi Hat](https://store.rakwireless.com/products/rak8213-pi-hat)
* [PulseLarsen LTE Sticker Antenna](https://www.mouser.com/ProductDetail/673-W6112B0100)

## Setup / Configuration

``` sh

apt update
apt install -y modemmanager
mmcli -S
mmcli -L
mmcli -m 0 # Note the IMEI number (needed for ting activation)
mmcli -i 0 # Note the iccid (needed for ting activation)
mmcli -m 0 -e

# Additional reference : https://help.ting.com/hc/en-us/articles/205428698-GSM-Android-APN-setup-guide

nmcli c add con-name "ting" type gsm ifname "*" apn "wholesale"
nmcli c mod ting connection.autoconnect yes


mmcli -m 0 --location-status
mmcli -m 0 --location-enable-3gpp
mmcli -m 0 --location-enable-gps-nmea
mmcli -m 0 --location-get

```
